namespace CoverSources
import System.Xml
import System.Drawing
import util

class AmazonJP:
	static SourceName as string:
		get: return "Amazon.co.jp"
	static SourceVersion as decimal:
		get: return 0.2
	static def GetThumbs(coverart,artist,album):
		x=System.Xml.XmlDocument()
		x.Load("http://xml.amazon.co.jp/onca/xml3?searchWord=&t=webservices-20&dev-t=1MV23E34ARMVYMBDZB02&f=xml&mode=music-jp&sort=&page=1&locale=jp&type=lite&KeywordSearch="+EncodeUrl(artist+" "+album))
		results=x.GetElementsByTagName("Details")
		coverart.SetCountEstimate(results.Count)
		for node in results:
			thumb=System.Drawing.Bitmap.FromStream(GetPageStream(node["ImageUrlMedium"].InnerText))
			if thumb.Height>10:
				coverart.AddThumb(thumb,node["ProductName"].InnerText,300,300,node["ImageUrlLarge"].InnerText)
		
	static def GetResult(param):
		return param
